package com.yuchen.saas.park.api.entity.security;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.nest.springwrap.core.mp.base.BaseEntity;

/**
 * <p>
 * 智慧安防设备表
 * </p>
 *
 * @author 洪铭铭
 * @since 2024-09-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("saas_park_security_device")
@ApiModel(value="SaasParkSecurityDevice对象", description="智慧安防设备表")
public class SaasParkSecurityDevice extends BaseEntity {


    @ApiModelProperty(value = "项目id")
    @TableField("park_id")
    private Long parkId;

    @ApiModelProperty(value = "分组id")
    @TableField("group_id")
    private Long groupId;

    @ApiModelProperty(value = "产品")
    @TableField("product")
    private String product;

    @ApiModelProperty(value = "设备名称")
    @TableField("device_name")
    private String deviceName;

    @ApiModelProperty(value = "设备图片")
    @TableField("device_photo")
    private String devicePhoto;

    @ApiModelProperty(value = "设备编码")
    @TableField("product_key")
    private String productKey;

    @ApiModelProperty(value = "设备类型")
    @TableField("device_type")
    private String deviceType;

    @ApiModelProperty(value = "经度")
    @TableField("longitude")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    @TableField("latitude")
    private String latitude;

    @ApiModelProperty(value = "品牌")
    @TableField("brand")
    private String brand;

    @ApiModelProperty(value = "型号")
    @TableField("model")
    private String model;

    @ApiModelProperty(value = "设备状态")
    @TableField("device_status")
    private String deviceStatus;

    @ApiModelProperty(value = "设备位置")
    @TableField("device_location")
    private String deviceLocation;

    @ApiModelProperty(value = "最后连接时间")
    @TableField("last_connect_time")
    private Integer lastConnectTime;

    @ApiModelProperty(value = "最后断开时间")
    @TableField("last_disconnect_time")
    private Integer lastDisconnectTime;

    @ApiModelProperty(value = "设备描述")
    @TableField("device_desc")
    private String deviceDesc;

    public Long getParkId() {
        return parkId;
    }

    public void setParkId(Long parkId) {
        this.parkId = parkId;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getProduct() {
        return product;
    }

    public void setProduct(String product) {
        this.product = product;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public String getDevicePhoto() {
        return devicePhoto;
    }

    public void setDevicePhoto(String devicePhoto) {
        this.devicePhoto = devicePhoto;
    }

    public String getProductKey() {
        return productKey;
    }

    public void setProductKey(String productKey) {
        this.productKey = productKey;
    }

    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getDeviceStatus() {
        return deviceStatus;
    }

    public void setDeviceStatus(String deviceStatus) {
        this.deviceStatus = deviceStatus;
    }

    public String getDeviceLocation() {
        return deviceLocation;
    }

    public void setDeviceLocation(String deviceLocation) {
        this.deviceLocation = deviceLocation;
    }

    public Integer getLastConnectTime() {
        return lastConnectTime;
    }

    public void setLastConnectTime(Integer lastConnectTime) {
        this.lastConnectTime = lastConnectTime;
    }

    public Integer getLastDisconnectTime() {
        return lastDisconnectTime;
    }

    public void setLastDisconnectTime(Integer lastDisconnectTime) {
        this.lastDisconnectTime = lastDisconnectTime;
    }

    public String getDeviceDesc() {
        return deviceDesc;
    }

    public void setDeviceDesc(String deviceDesc) {
        this.deviceDesc = deviceDesc;
    }
}
